Installation
Top Next

Please read the System Requirements carefully. We strongly suggest you to install the latest DirectX and Windows Media Format runtime. Additional downloads may be needed to support certain output file formats.

System Requirements

Please install River Past Screen Recorder from an Administrator user account. The program should be run from an user account which has access to the CURRENT_USER registries.

Install and Uninstall


System Requirements
Previous Top Next

Operation System: | Windows 98 Second Edition, Windows ME, Windows 2000, and Windows XP.
DirectX: | Version 9.0 and above.
Windows Media Format: | Windows Media Format 9 runtime is required for Screen Recorder Pro to generate Windows Media Video files.


Install and Uninstall

Install

River Past Screen Recorder uses a self-contained single-file installer. There are two versions of installers for each edition, depending on whether Windows Media Format runtime is included.

 | Without WMF runtime | With WMF runtime
Screen Recorder | screenrecorder_setup.exe |
Screen Recorder Pro | screenrecorderpro_setup.exe | screenrecorderpro_wmf_setup.exe

All installers are available on River Past website.

If you already have a previous version installed, you will be prompted to remove the existing installation.

Follow the on-screen instructions to complete the installation. The software uses less than 4 MB total disk space, excluding WMF runtime.

Uninstall

From the Start menu, select "Programs | River Past | Screen Recorder | Uninstall River Past Screen Recorder". You will be asked if you want to continue. Click "Yes" to proceed.

You can also uninstall from the "Add/Remove Programs" control pane


Quick Start Tutorial

In this tutorial, we will record audio from your microphone to a uncompressed WAV file.

Step 1: Launch River Past Screen Recorder
Step 2: Select Window to be Captured
Step 3: Select Output File
Step 4: Start Recording
Step 5: Verify Recorded Audio


Launch Application

Start River Past Screen Recorder. You will see its main interface.

You will notice that the "Record to:" text is red. This indicates that the setting under "Record to:" is incomplete. We will fix that in a moment.

The settings for the recording are located in seperate settings panels on the bottom of the dialog.


Select Window

Select Webcam

Click on to the left of "Record from:". You should see the panel expanded.

Click on the "From" combo box, and select "Window".

Note the label "No window selected" under the combo box.

Now, click on the window picker [image] and do not release the mouse button. Keep the mouse button down, and drag the cursor over the screen. You will see different windows under the cursor highlighted with a dotted rectangle. Move the cursor to the title bar of River Past Screen Recorder, and release the mouse button.

You should see the text "River Past Screen Recorder ..." under the combo box.

Since we are going to capture this window, let's clear the "Minimize when capturing" check box under the main status window.


Select Output File

Click on toggle to the left of "Record to ...". You will see the panel expanded.

Type in "C:\av\test.avi" as the output file path. You may also click on the "Browse" [image] button to browse to "C:\av\test.avi" using standard file dialog.


Start Recording

Click on the Record [image] button to start recording.

The status panel will display "Recording" on the top left corner, with the recorded time displayed in the middle.
Click on the Stop [image] button to stop recording.


Verify Recording

Click on toggle to the left of "Record to:" to expand the panel again.

Click on the [image] button. This launches your default media player and playback the test.avi file.


Supported Output Formats

Supported Formats

River Past Screen Recorder supports AVI output only. River Past Screen Recorder Pro supports the following output formats.

File Extension | Description | Additional Download
3GP | 3GPP Mobile Video | Apple QuickTime and 3GP Booster Pack
AVI | Audio Video Interleave | Optional third party codecs
BMP | BMP Image Sequence | Image Sequence Booster Pack
DivX | DivX | DivX codec
DV | Digital Video | None
GIF | Animated GIF | Animated GIF/FLC Booster Pack
FLC | FLC Animation | Animated GIF/FCL Booster Pack
JPG | JPEG Image Sequence | Image Sequence Booster Pack
MKV | Matroska | Matroska Pack
MOV | QuickTime | Apple QuickTime and MOV Booster Pack
MP4 | MPEG-4 Video | MPEG-4 Booster Pack
RM | RealMedia | RealOne Player and Real Booster Pack
OGM | OGG Media | OGG Vorbis DirectShow Filters
WMV | Windows Media Video | Windows Media Format runtime
XivD | XviD | XviD codecs


Overview

Overview - Screen Recorder

River Past Screen Recorder user interface is a dialog, with the menu bar and additional settings panels on the bottom.

The Status panel shows "Ready" at idle. It shows "Recording..." and display the recorded audio length during capturing.

Record button - Start recording.
Pause button - Pause recording.
Stop button - Stop recording.
Wait for Hot Key - Wait for hot key. Start recording when the Record hot key is pressed.
Schedule button - Schedule unattended recording

There are three settings panels under the main interface.

"Record from" panel
Determines the source of recording.

"Record to" panel
Determines the output file path.

"Video Settings" panel
Contains the audio format information. You may choose the output format and its associated settings there.

"Audio Settings" panel
Contains the audio format information. This panel is only shown if "Record Audio" is checked in the "Record from" panel.

"Hot Keys" panel contains the short cut keys settings, for Record, Pause, and Stop.


Codec Lists

Different file formats support different codecs. Your Windows system ship with many video and audio codecs, and you may have installed some others when you install third party software.

River Past Screen Recorder ships with a database with codecs and the file formats they are compatible with. If you have installed new codecs which is not in the database, we will try to check each codec for its compatibility.

Since not all codecs are well written and they may crash when we load them, we give you the option to choose the codecs to load in two dialogs - one for audio codecs and one for video codecs.

What happens if a codec crashes when we load it? The software is smart enough to flag the codec so we don't load it the next time. Simply restarting the software again. Repeat until the software start normally.

If you used the "Skip All" button to skip the compatibility testing, those new codecs won't appear in your options for Video Compressor and Audio Compressor. You can select "File | Load Skipped Codecs..." menu item later to check the compatibilities.


"Record from" Panel

The "Record from" setting panel controls where River Past Screen Recorder captures video from.

Click on toggle to expand the panel.

The From combo box controls the area of capture. There are four options.

· Screen
Record the whole screen.

· Region
Record a fixed rectangle area.

· Window
Record a window. The window can be a top level window or a child window.

· Cursor Area
Record a fixed area around the cursor.

Capture Cursor - Controls if the cursor image will be recorded in the video.

Record Audio - Controls if audio will be recorded with the video. When "Record Audio" is checked, an additional audio source panel will expand under the main area.

· Audio Source
Record the whole screen.


Screen

Capture full screen to the video. This takes a lot of processor power, and few system can capture at full frame rate. Under the best situation, you may achieve 5fps.

For the best performance, limit the maximum frame rate setting in the "Video Settings" panel.


Region

Limit the recording area for the best performance. You can type in the region coordinate into the edit boxes, or use the "Pick Region..." button.

Click on "Pick Region..." button. The cursor will change to a picker cursor. Simply drag an rectangle on the desktop to define the capture area.


Window

Limit the recording area to a window for the best performance. The window can be either a top level window, or a child window.

Click and hold the mouse button down on the window picker. You will see the cursor changed to a picker tool. Keep the mouse button down and drag across the screen, and you will see different window highlighted with dotted rectangle. When the window you want to capture is highlighted, release the mouse button.


Cursor Area

Under this setting, the capture area is always a rectangle around the cursor, no matter where the cursor is. The rectangle is automatically adjusted if the cursor is close to the edge of the screen. Enter the Width and the Height to define the size of the rectangle.


Audio Source

Additional setings are available when "Record Audio" is selected.

There are two combo boxes. The "Audio Device" combo box shows the audio recording hardware in your system. Normally it should only show the sound card. If you have 1394 capture card installed and a DV camcorder connected, you can see the DV camcorder here too.

Occasionally, your system would put your modem in this list too. You want your audio card selected in the "Audio Device" combo.

If you have built-in audio chipset on your motherboard, and added a PCI sound card later, it will show both in the "Audio Device" combo if you did not disable the motherboard audio. Please disable the built-in audio chipset according to your motherboard manual. Having both may cause conflicts.

The "Port" combo box shows a list of connection options on the sound card. This list is provided by the OS and audio driver. Most of the time, you should only care about the following connections. Note, different audio driver may give different names.

Microphone Mic | The audio will be captured from the microphone port.
Line-in Line In | The audio will be captured from the Line-in port
Stereo Mix Mono Mix WAV WAV Out Mix | The audio will be capture from the sound card's speakers.

You can let the sound card adjust the volume automatically, or set the level manually. When "Manual" is selected, a slider is shown to the right. Use this slider to set the volume level.


"Record to" Panel

The "Record to" setting panel controls the output file.

The "Record to:" text is red if you haven't entered a file name.

Click on toggle to expand the panel.

There are three buttons next to the file path edit box.
Browse - Browse for the file using the standard Windows file dialog.
Explore - If you already have a file name in the edit box, click on this button to open the parent directory in Windows explorer.
Play - If you already have a file name in the edit box, click on this button to play the file in the default media player.


"Video Settings" Panel

This panel controls the video compressor and related settings for the video file.

Expand to see the detailed settings.

Compressor | The codec used for the compression.
Quality | Quality setting for the compressor. Drag it to the right for the best quality, to the left for lower quality, which normally means less CPU requirement.


"Audio Settings" Panel

When "Record Audio" is checked in the "Record from" panel, the Audio Panel is available to set the encoding options for the audio compression.

Expand to see the detailed settings.

Compressor
Choose the audio compressor here. Depending on the file type, the available audio compressors will be different. The availability of the other settings depends on the audio compressor. Some of the common codecs are:

PCM - The audio data is not compressed. It offers the best quality at the expense of disk space.

MPEG Layer-3 - Same compression as the MP3 file. Good compression and good quality.

Windows Media Audio - This is the Windows Media Audio codec. Good compression and good quality.

Sample rate
This setting determines how many samples are taken per second to represent the original audio. For CD quality, use 44.1khz. For DVD quality (sometimes called "Better than CD quality"), use 48khz. However, 22.05khz is normally enough for casual recording. Higher sample rate means higher quality and bigger file.

Channel
Select "Stereo" for 2 channels, or "Mono" for 1 channel.
Bits/Sample
Use 16 bits for finer details. Only use 8 bits if space is an important concern. Higher resolution means better quality and bigger file.

Bitrate
For uncompressed audio, the bitrate is calculated given the sample rate, resolution, and number of channels (stereo or mono). For compressed audio, you may be given a list of choices. Choose higher bitrate for better quality. Choose lower bitrate to conserve space.


"Windows Media Settings" Panel

"Windows Media Settings" panel contains the Windows Media Profile selection when "WMV - Windows Media Video (Profile)" is selected as the output format.

Expand to see the panel.


"Hot Keys" panel

This panel defines the hot key combination for recording. The hot keys are useful when you want to minimize River Past Screen Recorder before starting the recording.

Three hot keys can be defined.

Record - Start recording.
Stop - Stop recording.
Pause - Pause recording.

For each one, the CTL, ALT, and SHIFT check boxes indicate whether those modifier keys need to be down. The key code combo box determines the key which needs to be pressed.

For example,

This screen shoot shows to start recording with the hot key, you must hit CTL-Return (Hold down Ctrl key and Return key at the same time).


Record

Click on the Record [image] button to start recording. An additional volume indicator will appear next to the status panel. Its green bar shows the volume of recorded audio.

The status panel will display "Recording..." on the top left corner, with the recorded time displayed in the middle.
Click on the Stop [image] button to stop recording.

You can schedule an unattended recording. Click on the Schedule [image] button to bring up the scheduler.


Scheduled Recording

Click on the Schedule [image] button to bring up the scheduler.

You can schedule the start time and stop time independently.

Set Recording Start | Schedule the start time for automatic recording. This option is diabled if the recording is ongoing.
Set Recording Stop | Schedule the stop time.
Set Stop Time | This is a shortcut to set the stop time.

Click OK to set the scheduler. If you want to remove a scheduled recording, uncheck "Set Recording Start" and "Set Recording Stop" and click OK.

When the schedule is set, the Schedule button flashes between [image] and [image].


Version Comparision

River Past Screen Recorder Pro adds the ability to record to WMV, DivX, Xvid, OGM, MKV formats. It also supports MOV Booster Pack to record to QuickTime MOV files.


File

The File menu contains the standard file access operations

Open Settings | Open a previously saved settings file.
Save Settings | Save the current settings to a settings file. It contains all the information on the user interface.
Load Skipped Codecs | If you have skipped loading certain codecs at start up, select this to load test the skipped codecs.
Options | Program options.
Exit | Exit the program.


Edit

The Edit menu contains the standard edit operations

Undo | Undo the last action. Currently not implemented.
Redo | Redo the last undone action. Currently not implemented.
Cut | Cut the selected text from the focused edit box to the clipboard.
Copy | Copy the selected text from the focused edit box to the clipboard.
Paste | Paste text from the clipboard to the focused edit box.
Clear | Clear the selected text from the focused edit box.
Select All | Select all text in the focused edit box.


Record

The record menu controls the recording operation.

Start | Start recording.
Pause | Pause recording.
Stop | Stop recording.
Wait for Hot Key... | Wait for the user to use hot keys to control the recording.
Schedule... | Schedule recording.


Download

Download additional components for the software.


Demo

Download the free trial of other River Past software.


Help
Previous Top

The Help menu gives you the standard help and activation operations.

Contents | Show the online help.
Buy Now | Purchase the software at River Past web site.
Activate... | Enter license code to remove trial restrictions.
Go to River Past Website | Go to www.riverpast.com.
About River Past Screen Recorder... | Show information about River Past Screen Recorder, including version and components.